/*
 * This file is part of PB-Lib v3.0 C++ Programming Library
 *
 * Copyright (c) 1995, 1997 by Branislav L. Slantchev
 * A fine product of Silicon Creations, Inc. (gargoyle)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the License which accompanies this
 * software. This library is distributed in the hope that it will
 * be useful, but without any warranty; without even the implied
 * warranty of merchantability or fitness for a particular purpose.
 *
 * You should have received a copy of the License along with this
 * library, in the file LICENSE.DOC; if not, write to the address
 * below to receive a copy via electronic mail.
 *
 * You can reach Branislav L. Slantchev (Silicon Creations, Inc.)
 * at bslantch@cs.angelo.edu. The file SUPPORT.DOC has the current
 * telephone numbers and the postal address for contacts.
*/

#include "pblibc.h"

int
_chmod(const char *path, int func, ... /*int attrib*/)
{
	union REGS   r;
	struct SREGS s;
	int          retval = -1;

	r.h.ah = 0x43;
	r.h.al = func;
	s.ds   = FP_SEG(path);
	r.x.dx = FP_OFF(path);

	if( 1 == func )
	{
		va_list varg;

		va_start(varg, func);
		r.x.cx = va_arg(varg, int);
		va_end(varg);
	}

	int86x(0x21, &r, &r, &s);
	if( !r.x.cflag ) retval = r.x.cx;

	return retval;
}
