/*
 * This file is part of PB-Lib v3.0 C++ Programming Library
 *
 * Copyright (c) 1995, 1997 by Branislav L. Slantchev
 * A fine product of Silicon Creations, Inc. (gargoyle)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the License which accompanies this
 * software. This library is distributed in the hope that it will
 * be useful, but without any warranty; without even the implied
 * warranty of merchantability or fitness for a particular purpose.
 *
 * You should have received a copy of the License along with this
 * library, in the file LICENSE.DOC; if not, write to the address
 * below to receive a copy via electronic mail.
 *
 * You can reach Branislav L. Slantchev (Silicon Creations, Inc.)
 * at bslantch@cs.angelo.edu. The file SUPPORT.DOC has the current
 * telephone numbers and the postal address for contacts.
*/

#include "utils.h"

#ifndef PB_SDK
	#include <conio.h>
	#include <dos.h>
	#include "compiler.h"
#else
	#include "pblibc.h"
	#include "pblsdk.h"
#endif

/*
 * displays a fading effect (nothing more than the correct palette)
*/
int   fade_delay = 125;
uchar fade_palette[EFFECT_PALSIZE] = { 8, 7, 15, 7, 8 };

void
effect_fade( char *s, int col, int row )
{
	for( int i = 0; i < EFFECT_PALSIZE; i++ )
	{
		gotoxy(col, row);
		textattr(fade_palette[i]);
		cprintf(s);
		delay(fade_delay);
	}
}
