/*
 * This file is part of PB-Lib v3.0 C++ Programming Library
 *
 * Copyright (c) 1995, 1997 by Branislav L. Slantchev
 * A fine product of Silicon Creations, Inc. (gargoyle)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the License which accompanies this
 * software. This library is distributed in the hope that it will
 * be useful, but without any warranty; without even the implied
 * warranty of merchantability or fitness for a particular purpose.
 *
 * You should have received a copy of the License along with this
 * library, in the file LICENSE.DOC; if not, write to the address
 * below to receive a copy via electronic mail.
 *
 * You can reach Branislav L. Slantchev (Silicon Creations, Inc.)
 * at bslantch@cs.angelo.edu. The file SUPPORT.DOC has the current
 * telephone numbers and the postal address for contacts.
*/

#include "file.h"
#include "stdmac.h"

#ifndef PB_SDK
	#include <string.h>
#endif

/*
 * appends a trailing character if necessary. if src != 0 copies it to dest
*/
char*
file_appchr( char *dest, const char *src, char appChar )
{
	if( dest )
	{
		size_t slen;
		// make sure we have something
		if( 0 != src ) strcpy(dest, src);
		slen = strlen(dest);
		if( slen )
		{ // only append if dest is not empty
			char *p = dest + slen - 1;
			if( appChar != *p++ )
			{ // append if last char is different
				*p++ = appChar;
				*p = EOS;
			}
		}
	}
	return dest;
}

