/*
 * This file is part of PB-Lib v3.0 C++ Programming Library
 *
 * Copyright (c) 1995, 1997 by Branislav L. Slantchev
 * A fine product of Silicon Creations, Inc. (gargoyle)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the License which accompanies this
 * software. This library is distributed in the hope that it will
 * be useful, but without any warranty; without even the implied
 * warranty of merchantability or fitness for a particular purpose.
 *
 * You should have received a copy of the License along with this
 * library, in the file LICENSE.DOC; if not, write to the address
 * below to receive a copy via electronic mail.
 *
 * You can reach Branislav L. Slantchev (Silicon Creations, Inc.)
 * at bslantch@cs.angelo.edu. The file SUPPORT.DOC has the current
 * telephone numbers and the postal address for contacts.
*/

#include "file.h"

#ifndef PB_SDK
	#include <ctype.h>
#endif

/*
 * similar to rename() except it works across drives, returns 0 on
 * success and -1 on error
*/
int
file_rename(const char *oldname, const char *newname)
{
	/* check if we have drive designators */
	if( (':' == oldname[1] || ':' == newname[1]) &&
		toupper(oldname[0]) != toupper(newname[0]) )
	{
		int retval = file_copy(newname, oldname);
		file_remove(oldname);
		return retval;
	}
	else return rename(oldname, newname);
}
