/*
 * This file is part of PB-Lib v3.0 C++ Programming Library
 *
 * Copyright (c) 1995, 1997 by Branislav L. Slantchev
 * A fine product of Silicon Creations, Inc. (gargoyle)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the License which accompanies this
 * software. This library is distributed in the hope that it will
 * be useful, but without any warranty; without even the implied
 * warranty of merchantability or fitness for a particular purpose.
 *
 * You should have received a copy of the License along with this
 * library, in the file LICENSE.DOC; if not, write to the address
 * below to receive a copy via electronic mail.
 *
 * You can reach Branislav L. Slantchev (Silicon Creations, Inc.)
 * at bslantch@cs.angelo.edu. The file SUPPORT.DOC has the current
 * telephone numbers and the postal address for contacts.
*/

#include "utils.h"

#ifndef PB_SDK
	#include <stdarg.h>
	#include <stdio.h>
	#include <stdlib.h>
#else
	#include "pblibc.h"
	#include "pblsdk.h"
#endif

extern void vfilelog(const char *logfile, const char *fmt, va_list varg);

/* fail that logs to a file (you need to give the necessary C/R and L/F) */
void
msgfail( const char *logfile, const char *fmt, ... )
{
	va_list varg;

    va_start(varg, fmt);
    vfilelog(logfile, fmt, varg);
    va_start(varg, fmt);
	vprintf(fmt, varg);
    va_end(varg);
	exit(EXIT_FAILURE);
}

