/*
 * This file is part of PB-Lib v3.0 C++ Programming Library
 *
 * Copyright (c) 1995, 1997 by Branislav L. Slantchev
 * A fine product of Silicon Creations, Inc. (gargoyle)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the License which accompanies this
 * software. This library is distributed in the hope that it will
 * be useful, but without any warranty; without even the implied
 * warranty of merchantability or fitness for a particular purpose.
 *
 * You should have received a copy of the License along with this
 * library, in the file LICENSE.DOC; if not, write to the address
 * below to receive a copy via electronic mail.
 *
 * You can reach Branislav L. Slantchev (Silicon Creations, Inc.)
 * at bslantch@cs.angelo.edu. The file SUPPORT.DOC has the current
 * telephone numbers and the postal address for contacts.
*/

#include "utils.h"

#ifndef PB_SDK
	#include <string.h>
#else
	#include "pblibc.h"
#endif

// converts a MegaNum (base 36) into a long value
long
mtol( const char *s )
{
	ulong mul = 1;
	long  val;
	int   num;
	int   len = strlen(s) - 1;

	for( val = 0L; len >= 0; --len ){
		if( s[len] < '9' ) num = s[len] - '0';
		else num = s[len] - '7';
		val += (ulong)num * mul;
		mul = mul * 36L;
	}

	return val;
}
