/*
 * This file is part of PB-Lib v3.0 C++ Programming Library
 *
 * Copyright (c) 1995, 1997 by Branislav L. Slantchev
 * A fine product of Silicon Creations, Inc. (gargoyle)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the License which accompanies this
 * software. This library is distributed in the hope that it will
 * be useful, but without any warranty; without even the implied
 * warranty of merchantability or fitness for a particular purpose.
 *
 * You should have received a copy of the License along with this
 * library, in the file LICENSE.DOC; if not, write to the address
 * below to receive a copy via electronic mail.
 *
 * You can reach Branislav L. Slantchev (Silicon Creations, Inc.)
 * at bslantch@cs.angelo.edu. The file SUPPORT.DOC has the current
 * telephone numbers and the postal address for contacts.
*/

#include "pblang.h"

#ifndef PB_SDK
	#include <string.h>
	#include "emulator.h"
#else
	#include "terminal.h"
	#include "pblsdk.h"
#endif

void
pb_askenter()
{
#ifdef PB_SDK
	zTerminal Terminal;
	ansi_interp     ansi;
	avatar_interp   avatar;
	proboard_interp proboard;

	Terminal.RegisterHandler(&avatar);
	Terminal.RegisterHandler(&ansi);
	Terminal.RegisterHandler(&proboard);

	zProLang lang(&Terminal);
	if( !lang.Error() ) lang.Exec(7);
#else // non-SDK mode, use global terminal object (can't exec pexen either)
	const char *text;
	zProLang    lang(Terminal);

	if( !lang.Error() ) lang.Exec(7);
	text = lang.GetItemText(7);
	if( text && strstr(text, "@p") ) printf("press (enter) to move on: ");
#endif
	WaitKeys("\r");
}
