/*
 * This file is part of PB-Lib v3.0 C++ Programming Library
 *
 * Copyright (c) 1995, 1997 by Branislav L. Slantchev
 * A fine product of Silicon Creations, Inc. (gargoyle)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the License which accompanies this
 * software. This library is distributed in the hope that it will
 * be useful, but without any warranty; without even the implied
 * warranty of merchantability or fitness for a particular purpose.
 *
 * You should have received a copy of the License along with this
 * library, in the file LICENSE.DOC; if not, write to the address
 * below to receive a copy via electronic mail.
 *
 * You can reach Branislav L. Slantchev (Silicon Creations, Inc.)
 * at bslantch@cs.angelo.edu. The file SUPPORT.DOC has the current
 * telephone numbers and the postal address for contacts.
*/

#include "str.h"

/*
 * inserts s2 in s1 at index
*/
char*
strins( char *s1, const char *s2, size_t index )
{
	size_t len1 = strlen(s1);
	size_t len2 = strlen(s2);

	if( index > len1 ) index = len1 - 1;
	memmove( &s1[index + len2], &s1[index], len1 - index + 1 );
	memmove( &s1[index], s2, len2 );
	return s1;
}

