/*
 * This file is part of PB-Lib v3.0 C++ Programming Library
 *
 * Copyright (c) 1995, 1997 by Branislav L. Slantchev
 * A fine product of Silicon Creations, Inc. (gargoyle)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the License which accompanies this
 * software. This library is distributed in the hope that it will
 * be useful, but without any warranty; without even the implied
 * warranty of merchantability or fitness for a particular purpose.
 *
 * You should have received a copy of the License along with this
 * library, in the file LICENSE.DOC; if not, write to the address
 * below to receive a copy via electronic mail.
 *
 * You can reach Branislav L. Slantchev (Silicon Creations, Inc.)
 * at bslantch@cs.angelo.edu. The file SUPPORT.DOC has the current
 * telephone numbers and the postal address for contacts.
*/

#include "str.h"

/*
 * replaces all occurences of s2 in s1 with s3, s1 must be large enough
*/
char*
strsrep( char *s1, const char *s2, const char *s3 )
{
	size_t s2len = strlen(s2);
	size_t s3len = strlen(s3);
	  char *p = s1;

	while( NULL != (p = strstr(p,s2)) ){
		strdel( p, 0, s2len );
		strins( p, s3, 0 );
		p += s3len;
	}
	return s1;
}
